<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/content_filter_report_neraca"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="name.adty.mobiledashboard.report.filter.FilterReportGeneral"
    tools:showIn="@layout/filter_report_general">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentBottom="true">

        <LinearLayout
            android:layout_marginTop="10dp"
            android:orientation="vertical"
            android:paddingBottom="100dp"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.v7.widget.CardView
                android:layout_marginBottom="20dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:id="@+id/buttonDatePicker"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_weight="0.5"
                        android:orientation="vertical"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content">

                        <TextView
                            android:textAllCaps="true"
                            android:text="@string/textBulan"
                            android:layout_gravity="center"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:textStyle="normal|bold" />

                        <TextView
                            android:textColor="@color/MDprimary2"
                            android:layout_gravity="center"
                            android:text="TextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:id="@+id/textViewBulan"
                            android:layout_weight="1" />
                    </LinearLayout>

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/greyed_out">

                    </View>

                    <LinearLayout
                        android:orientation="vertical"
                        android:layout_weight="0.5"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content">

                        <TextView
                            android:textAllCaps="true"
                            android:layout_gravity="center"
                            android:text="@string/textTahun"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:id="@+id/textView7"
                            android:textStyle="normal|bold" />

                        <TextView
                            android:layout_gravity="center"
                            android:text="TextView"
                            android:textColor="@color/MDprimary2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:id="@+id/textViewTahun" />
                    </LinearLayout>
                </LinearLayout>
            </android.support.v7.widget.CardView>

            <TextView
                android:layout_marginBottom="5dp"
                android:textAllCaps="true"
                android:text="@string/textPerusahaan"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/textView3" />

            <android.support.v7.widget.CardView
                android:layout_marginBottom="20dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <Spinner
                    android:layout_margin="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/spinnerPerusahaan" />
            </android.support.v7.widget.CardView>

            <TextView
                android:layout_marginBottom="5dp"
                android:textAllCaps="true"
                android:text="@string/textProject"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/textView4" />

            <android.support.v7.widget.CardView
                android:layout_marginBottom="20dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <Spinner
                    android:layout_margin="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/spinnerProject" />
            </android.support.v7.widget.CardView>

            <TextView
                android:textAllCaps="true"
                android:text="@string/textTampilan"
                android:layout_marginBottom="5dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/textView5" />

            <android.support.v7.widget.CardView
                android:layout_marginBottom="20dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <RadioGroup
                    android:padding="5dp"
                    android:id="@+id/radioGroupTampilan"
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_height="wrap_content" >

                    <RadioButton
                        android:checked="true"
                        android:text="@string/textSummary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:id="@+id/radioTampilanSummary"
                        android:layout_weight="0.5" />

                    <RadioButton
                        android:text="@string/textDetail"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:id="@+id/radioTampilanDetail"
                        android:layout_weight="0.5" />
                </RadioGroup>
            </android.support.v7.widget.CardView>

            <TextView
                android:layout_marginBottom="5dp"
                android:textAllCaps="true"
                android:text="@string/textSifatAkun"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/textView10" />

            <android.support.v7.widget.CardView
                android:layout_marginBottom="20dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <RadioGroup
                    android:padding="5dp"
                    android:id="@+id/radioGroupSifatAkun"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >

                    <RadioButton
                        android:checked="true"
                        android:text="@string/textAkunDenganSaldo"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:id="@+id/radioSifatAkunSaldo" />

                    <RadioButton
                        android:text="@string/textSemuaAkun"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:id="@+id/radioSifatAkunSemua"
                        android:layout_weight="0.5"/>

                </RadioGroup>
            </android.support.v7.widget.CardView>

        </LinearLayout>

    </ScrollView>

    <LinearLayout
        android:layout_alignParentBottom="true"
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="20dp"
        android:id="@+id/linearLayout">

        <Button
            android:textColor="#FFFFFF"
            android:layout_gravity="bottom"
            android:text="@string/textSearch"
            android:layout_width="match_parent"
            android:background="@color/MDprimary2"
            android:layout_height="wrap_content"
            android:id="@+id/buttonSearch" />
    </LinearLayout>

</RelativeLayout>
